[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[ossec-cvs] ossec-hids: install.sh (HEAD) [dcid]



Module name:	ossec-hids
Changes by:	dcid	07/09/02 21:07:30

Modified files:
	install.sh

Log message:
Description: Adding support to postgresql. Thanks to "Colby W." <colbyw at gmail.com> for the data and logs.
Reviewed by: dcid
Bug:

Index: install.sh
===================================================================
RCS file: /usr/cvsroot/ossec-hids/install.sh,v
diff -u -r1.121 -r1.122
--- install.sh	22 Feb 2007 21:42:27 -0000	1.121
+++ install.sh	3 Sep 2007 00:07:30 -0000	1.122
@@ -282,6 +282,22 @@
           echo "    -- $i (apache log)"
         fi
     done
+
+    # Getting postgresql logs
+    PGSQL_FILES=`cat ${PGSQL_TEMPLATE}`
+    for i in ${PGSQL_FILES}; do
+        ls $i > /dev/null 2>&1
+        if [ $? = 0 ]; then
+          echo "" >> $NEWCONFIG
+          echo "  <localfile>" >> $NEWCONFIG
+          echo "    <log_format>postgresql_log</log_format>" >> $NEWCONFIG
+          echo "    <location>$i</location>" >>$NEWCONFIG
+          echo "  </localfile>" >> $NEWCONFIG
+          
+          echo "    -- $i (postgresql log)"
+        fi
+    done
+   
    
     echo "" 
     catMsg "0x106-logs"


OSSEC home | Main Index | Thread Index


OSSEC project: www.ossec.net.
Mailling list information: http://www.ossec.net/en/mailing_lists.html.